void startlop()
{ 
    void self = getlocalvar("self");
    setlocalvar("total", 1);



}



void endlop(int framenumber, int repeats)
{

void self = getlocalvar("self"); 
int total = getlocalvar("total");
 


	if(total<=repeats)
	{
		
                        setlocalvar("total", total+1);
			updateframe(self, framenumber-1);
		
	}

        else
        {
          NULL();
        }
}


